Subject: [Id-event] Poll document - shepherd review comments

From: Yaron Sheffer <[email-masked]>
Date: Thu, 07 Nov 2019 12:06:33 +0200

Hi,

I’m jumping the gun a little bit, but since the authors seem to have implemented the WGLC comments, we should move forward to publish the document.

Please address my comments below and republish the document, hopefully on the week of IETF or shortly thereafter. Then we will send it to Ben.

Thanks,
	Yaron

(Note: I used the latest version of the document, from GitHub.)

• 1. Introduction: Please add, "This is an alternative SET delivery method to the one defined in [push]".
• "How SETs are defined and the process by which events are identified for SET Recipients" - are both defined in RFC 8417.
• The sentence "Transmitted SETs SHOULD be self-validating..." Is very awkward, please reword as two or more sentences.
• 2.2: the description for setErrs is unclear. Specifically, please mention that the jti values are JSON object keys for the inner objects. (And a JSON schema definition would have been nice).
• 2.4: "the ack and errs request parameters" - there is no "errs" parameter, and the "setErrs" parameter as defined requires one or more members (and the definition doesn't mention that it is optional).
• "If after a period of time, negotiated between the SET Transmitter and Recipient, a SET Transmitter MAY redeliver SETs it has previously delivered." - The "if" is redundant, also, the period is not "negotiated", it is preconfigured.
• The "err" flag is mentioned several times, where it should be "setErrs".
• 2.4.1: "without acknowledgement parameters (sets and setErrs)" - "sets" is a response member.
• "and notifies the SET Transmitter" - you might want to add "of successful receipt and of errors".
• "This specification considers authentication as a feature to prevent denial-of-service attacks." It sounds like this is the *only* justification for authentication, which is clearly not the case.
• Sec. 3.1 is completely out of context. There is also a dangling "including:" in the middle of the section. And a dangling reference at the end.

---

From: Mike Jones <[email-masked]>
Date: Mon, 18 Nov 2019 04:06:35 +0000

Thanks for your useful review comments, Yaron.  I've published https://tools.ietf.org/html/draft-ietf-secevent-http-poll-05 to address them.  This should also enable Ben to review draft-ietf-secevent-http-push and draft-ietf-secevent-http-poll at the same time, as he'd requested.  Replies to your individual comments are inline.

				Thanks again,
				-- Mike

-----Original Message-----
From: Id-event <[email-masked]> On Behalf Of Yaron Sheffer
Sent: Thursday, November 7, 2019 6:07 PM
To: [email-masked]
Subject: [Id-event] Poll document - shepherd review comments

Hi,

Thanks,
	Yaron

Done

Done

I took the lead of the Push draft and deleted this awkward and problematic sentence.

I reworded both the "ack" and "setErrs" definitions to be clearer.

Good catch - thanks.  Corrected.

Done

Corrected - thanks again for the detailed read!

Corrected

Done

Corrected

I tool the lead of the Push specification and deleted this out of context and not useful section.

_______________________________________________
Id-event mailing list
[email-masked]
https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fid-event&amp;data=02%7C01%7CMichael.Jones%40microsoft.com%7C7aee28fe1232464d90fe08d7636a313e%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C637087180089622975&amp;sdata=hcDS%2B6pe2jCzTJwa8Fsij5Z0A67l8FrbnGjQy%2FgX2Tc%3D&amp;reserved=0